%global pypi_name debtcollector

Name:           python-%{pypi_name}
Version:        1.8.0
Release:        %mkrel 1
Group:          Development/Python
Summary:        A collection of Python deprecation patterns and strategies
License:        ASLv2
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        http://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
 
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
A collection of Python deprecation patterns and strategies that help you
collect your technical debt in a non-destructive manner.

%package -n python3-%{pypi_name}
Summary:        A collection of Python deprecation patterns and strategies
Group:          Development/Python

BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{pypi_name}
A collection of Python deprecation patterns and strategies that help you
collect your technical debt in a non-destructive manner.

%prep
%setup -q -n %{pypi_name}-%{version}

%autopatch -p1

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%{python2_sitelib}/*

%files -n python3-%{pypi_name}
%{python3_sitelib}/*


%changelog
* Sat Sep 03 2016 bcornec <bcornec> 1.8.0-1.mga6
+ Revision: 1049856
- Update to upstream 1.8.0 - sources from OpenStack

* Sat Feb 20 2016 umeabot <umeabot> 0.8.0-2.mga6
+ Revision: 971084
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 0.8.0-1.mga6
+ Revision: 889238
- new version: 0.8.0 + rebuild for python 3.5
- use new python macros

* Tue Sep 01 2015 fwang <fwang> 0.7.0-1.mga6
+ Revision: 871776
- imported package python-debtcollector

